%define gittag INKSCAPE_%(echo %version | tr . _)
Name:          inkscape
Version:       1.2
Release:       1mamba
Summary:       A SVG based generic vector-drawing application
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://inkscape.org/
Source:        https://gitlab.com/inkscape/inkscape.git/%{gittag}/inkscape-%{version}.tar.bz2
#https://launchpad.net/inkscape/%{version}.x/%{version}/+download/inkscape-%{version}.tar.bz2
Patch:         %{name}-0.43-desktop_file.patch
Patch1:        %{name}-0.47-poppler-0.12.2.patch
Patch2:        %{name}-0.47-gcc45.patch
Patch3:        inkscape-0.48.5-libgc-7.4.2.patch
Patch4:        inkscape-0.91-libgtkmm-3.18.patch
Patch5:        inkscape-0.91-libgtk-3.22.patch
Patch6:        inkscape-0.92.5-ImageMagick-7.0.10.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: lib2geom-devel
BuildRequires: libGraphicsMagick-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libatk-devel
BuildRequires: libatkmm1-devel
BuildRequires: libboost-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm10-devel
BuildRequires: libcdr-devel
BuildRequires: libenchant-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libgomp-devel
BuildRequires: libgsl-devel
BuildRequires: libgspell-devel
BuildRequires: libgtk3-devel
BuildRequires: libgtkmm3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm1-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libpotrace-devel
BuildRequires: libreadline-devel
BuildRequires: librevenge-devel
BuildRequires: libsigc++2-devel
BuildRequires: libsoup2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvisio-devel
BuildRequires: libwpg-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libMagick-devel >= 6.9.1.4-1mamba
BuildRequires: intltool >= 0.22
BuildRequires: perl-XML-Parser >= 2.31
BuildRequires: gettext-devel
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: lib2geom-devel
Requires:      pstoedit >= 3.40

%description
Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.
Supported SVG features include basic shapes, paths, text, alpha blending, transforms, gradients, node editing, svg-to-png export, grouping, and more.

Inkscape's main motivation is to provide the Open Source community with a fully XML, SVG, and CSS2 compliant SVG drawing tool.
Additional planned work includes conversion of the codebase from C/Gtk to C++/Gtkmm, emphasizing a lightweight core with powerful features added through an extension mechanism, and establishment of a friendly, open, community-oriented development processes.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF

%build
%cmake -d build \
   -DWITH_DBUS=ON \
   -DCMAKE_INSTALL_BINDIR=%{_bindir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%find_lang %{name} --all-name --with-man

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/inkscape
%{_bindir}/inkview
%dir %{_libdir}/inkscape
%{_libdir}/inkscape/libinkscape_base.so
%{_datadir}/applications/org.inkscape.Inkscape.desktop
%{_datadir}/metainfo/org.inkscape.Inkscape.appdata.xml
%dir %{_datadir}/inkscape/
%{_datadir}/inkscape/*
%{_datadir}/bash-completion/completions/inkscape
%{_datadir}/icons/hicolor/*/apps/org.inkscape.Inkscape.png
%{_datadir}/icons/hicolor/scalable/apps/org.inkscape.Inkscape.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.inkscape.Inkscape-symbolic.svg
%{_mandir}/man1/inkscape.1*
%{_mandir}/man1/inkview.1*
%doc AUTHORS COPYING*
#%doc ChaangeLog NEWS README

%changelog
* Mon May 16 2022 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Wed Sep 22 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Mon Jan 18 2021 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri May 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2mamba
- set CMAKE_INSTALL_RPATH to fix libinkscape_base.so runtime search path; set WITH_DBUS=ON

* Tue May 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 0.92.5-1mamba
- automatic version update by autodist

* Mon Aug 19 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.92.4-1mamba
- update to 0.92.4

* Thu Oct 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.91-3mamba
- rebuilt

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 0.91-2mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.1.4-1mamba

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 0.91-1mamba
- automatic version update by autodist

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48.5-2mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.0.4-1mamba

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 0.48.5-1mamba
- automatic version update by autodist

* Sat Sep 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48.4-2mamba
- rebuilt

* Tue Dec 18 2012 Automatic Build System <autodist@mambasoft.it> 0.48.4-1mamba
- automatic version update by autodist

* Tue Mar 06 2012 Automatic Build System <autodist@mambasoft.it> 0.48.3.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2011 Automatic Build System <autodist@mambasoft.it> 0.48.2-1mamba
- automatic update by autodist

* Sat Feb 12 2011 Automatic Build System <autodist@mambasoft.it> 0.48.1-1mamba
- automatic update by autodist

* Sun Sep 26 2010 Automatic Build System <autodist@mambasoft.it> 0.48.0-1mamba
- automatic update by autodist

* Wed Sep 08 2010 Automatic Build System <autodist@mambasoft.it> 0.47-4mamba
- automatic rebuild by autodist

* Sat Jul 10 2010 Automatic Build System <autodist@mambasoft.it> 0.47-3mamba
- automatic rebuild by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 0.47-2mamba
- automatic rebuild by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 0.47-1mamba
- automatic update to 0.47 by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.46-2mamba
- rebuilt against ImageMagick 1.4.1

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.46-1mamba
- update to 0.46

* Mon Oct 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-1mamba
- update to 0.45.1

* Mon Sep 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.44.1-1qilnx
- update to version 0.44.1 by autospec

* Fri Jun 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.44-1qilnx
- update to version 0.44 by autospec

* Tue Nov 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.43-2qilnx
- added some missing build requirements: libglibmm-devel, libxslt-devel,
  libgtkspell-devel
- enabled Inkboard online whiteboard facility

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.43-1qilnx
- update to version 0.43 by autospec
- also fixes a security issue (qibug#81, CAN-2005-3737)

* Thu Jul 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.42-1qilnx
- update to version 0.42 by autospec
- requires `pstoedit' (was listed in ~/inkscape/extension-errors.log)

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.41-1qilnx
- update to version 0.41 by autospec

* Fri Dec 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.40-2qilnx
- set LDFLAG to fix the errors: undefined reference to `dlopen'
- own `%{_datadir}/inkscape/' and `%{_libdir}/inkscape/'
- removed requirements

* Wed Dec 15 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.40-1qilnx
- updated to new release

* Tue Oct 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.39-2qilnx
- specfile modified to match QiLinux standards
- added missing BuildRequirements

* Tue Sep 14 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.39-1qilnx
- first build
